be.fgov.ehealth.aa.complextype.v1

## Class Address

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.Address

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:48:08+01:00",
                 comments="JAXB RI v2.3.7")
      public class Address
      extends Object
      implements Serializable

  Full Address of healthcare actor.

  Java class for AddressType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AddressType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BSTCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Street" type="{urn:be:fgov:ehealth:aa:complextype:v1}StreetType"/>
               <element name="HouseNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="PostBox" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Municipality" type="{urn:be:fgov:ehealth:aa:complextype:v1}MunicipalityType"/>
               <element name="Country" type="{urn:be:fgov:ehealth:aa:complextype:v1}CountryType" minOccurs="0"/>
             </sequence>
             <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Address()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBSTCode()` Gets the value of the bstCode property.
    `Country` | `getCountry()` Gets the value of the country property.
    `String` | `getHouseNumber()` Gets the value of the houseNumber property.
    `Municipality` | `getMunicipality()` Gets the value of the municipality property.
    `String` | `getPostBox()` Gets the value of the postBox property.
    `StreetType` | `getStreet()` Gets the value of the street property.
    `String` | `getType()` Gets the value of the type property.
    `void` | `setBSTCode(String value)` Sets the value of the bstCode property.
    `void` | `setCountry(Country value)` Sets the value of the country property.
    `void` | `setHouseNumber(String value)` Sets the value of the houseNumber property.
    `void` | `setMunicipality(Municipality value)` Sets the value of the municipality property.
    `void` | `setPostBox(String value)` Sets the value of the postBox property.
    `void` | `setStreet(StreetType value)` Sets the value of the street property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Address

          public Address()

  - ### Method Detail

    - #### getBSTCode

          public String getBSTCode()

      Gets the value of the bstCode property.
      Returns:
        possible object is `String`

    - #### setBSTCode

          public void setBSTCode(String value)

      Sets the value of the bstCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStreet

          public StreetType getStreet()

      Gets the value of the street property.
      Returns:
        possible object is `StreetType`

    - #### setStreet

          public void setStreet(StreetType value)

      Sets the value of the street property.
      Parameters:
        `value` - allowed object is `StreetType`

    - #### getHouseNumber

          public String getHouseNumber()

      Gets the value of the houseNumber property.
      Returns:
        possible object is `String`

    - #### setHouseNumber

          public void setHouseNumber(String value)

      Sets the value of the houseNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPostBox

          public String getPostBox()

      Gets the value of the postBox property.
      Returns:
        possible object is `String`

    - #### setPostBox

          public void setPostBox(String value)

      Sets the value of the postBox property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMunicipality

          public Municipality getMunicipality()

      Gets the value of the municipality property.
      Returns:
        possible object is `Municipality`

    - #### setMunicipality

          public void setMunicipality(Municipality value)

      Sets the value of the municipality property.
      Parameters:
        `value` - allowed object is `Municipality`

    - #### getCountry

          public Country getCountry()

      Gets the value of the country property.
      Returns:
        possible object is `Country`

    - #### setCountry

          public void setCountry(Country value)

      Sets the value of the country property.
      Parameters:
        `value` - allowed object is `Country`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.